ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

GraphPpr

Description

Pretty printing of graphs.

Synopsis

- dumpGraph :: (Outputable k, Outputable cls, Outputable color) => Graph k cls color -> SDoc
- dotGraph :: (Uniquable k, Outputable k, Outputable cls, Outputable color) => (color -> SDoc) -> Triv k cls color -> Graph k cls color -> SDoc

# Documentation

dumpGraph :: (Outputable k, Outputable cls, Outputable color) => Graph k cls color -> SDoc

Pretty print a graph in a somewhat human readable format.

dotGraph

Arguments

:: (Uniquable k, Outputable k, Outputable cls, Outputable color) |
=> (color -> SDoc) | What graphviz color to use for each node color It's usually safe to return X11 style colors here, ie "red", "green" etc or a hex triplet #aaff55 etc
-> Triv k cls color |
-> Graph k cls color |
-> SDoc |

Pretty print a graph in graphviz .dot format. Conflicts get solid edges. Coalescences get dashed edges.